%{?mingw_package_header}

Name:           mingw-harfbuzz
Version:        0.9.7
Release:        1%{?dist}
Summary:        MinGW Windows Harfbuzz library

License:        MIT
Group:          Development/Libraries
URL:            http://www.harfbuzz.org
Source0:        http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-freetype
BuildRequires:  mingw32-cairo
BuildRequires:  mingw32-icu

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-freetype
BuildRequires:  mingw64-cairo
BuildRequires:  mingw64-icu


%description
HarfBuzz is an implementation of the OpenType Layout engine.


# Win32
%package -n mingw32-harfbuzz
Summary:        MinGW Windows Harfbuzz library
Requires:       pkgconfig

%description -n mingw32-harfbuzz
HarfBuzz is an implementation of the OpenType Layout engine.

%package -n mingw32-harfbuzz-static
Summary:        Static version of the MinGW Windows Harfbuzz library
Requires:       mingw32-harfbuzz = %{version}-%{release}

%description -n mingw32-harfbuzz-static
Static version of the MinGW Windows Harfbuzz library.

# Win64
%package -n mingw64-harfbuzz
Summary:        MinGW Windows Harfbuzz library
Requires:       pkgconfig

%description -n mingw64-harfbuzz
HarfBuzz is an implementation of the OpenType Layout engine.

%package -n mingw64-harfbuzz-static
Summary:        Static version of the MinGW Windows Harfbuzz library
Requires:       mingw64-harfbuzz = %{version}-%{release}

%description -n mingw64-harfbuzz-static
Static version of the MinGW Windows Harfbuzz library.


%{?mingw_debug_package}


%prep
%setup -q -n harfbuzz-%{version}


%build
%mingw_configure --enable-shared --enable-static
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-harfbuzz
%doc COPYING
%{mingw32_bindir}/hb-ot-shape-closure.exe
%{mingw32_bindir}/hb-shape.exe
%{mingw32_bindir}/hb-view.exe
%{mingw32_bindir}/libharfbuzz-0.dll
%{mingw32_includedir}/harfbuzz/
%{mingw32_libdir}/libharfbuzz.dll.a
%{mingw32_libdir}/pkgconfig/harfbuzz.pc

%files -n mingw32-harfbuzz-static
%{mingw32_libdir}/libharfbuzz.a

# Win64
%files -n mingw64-harfbuzz
%doc COPYING
%{mingw64_bindir}/hb-ot-shape-closure.exe
%{mingw64_bindir}/hb-shape.exe
%{mingw64_bindir}/hb-view.exe
%{mingw64_bindir}/libharfbuzz-0.dll
%{mingw64_includedir}/harfbuzz/
%{mingw64_libdir}/libharfbuzz.dll.a
%{mingw64_libdir}/pkgconfig/harfbuzz.pc

%files -n mingw64-harfbuzz-static
%{mingw64_libdir}/libharfbuzz.a


%changelog
* Wed Nov 21 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.7-1
- Update to 0.9.7

* Sun Aug 26 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.9.3-1
- Initial release

